﻿using System.Collections.Generic;
using ProjectorKit.Elements;
using ProjectorKit.Tracking;

namespace ProjectorKit.Configuration
{
    public interface IConfiguration
    {
        IDictionary<string, AbstractElement> NamedElements { get; }
        IEnumerable<AbstractElement> UnnamedElements { get; }
        IEnumerable<TrackerBinding> TrackerBindings { get; }
    }
}
