﻿using System;
using System.Windows.Media.Media3D;

namespace ProjectorKit.Utilities
{
    public static class Point3DExtensions
    {
        public static Vector3D ToVector3D(this Point3D point)
        {
            return new Vector3D(point.X, point.Y, point.Z);
        }

        public static double DistanceTo(this Point3D p1, Point3D p2)
        {
            Vector3D pointVector = Point3D.Subtract(p1, p2);
            return pointVector.Length;
        }
    }
}
