﻿using ProjectorKit.Controller;
using ProjectorKit.Network;
using ProjectorKit.Tracking;
using ProjectorKit.World;

namespace ProjectorKit
{
    /// <summary>
    /// The environment sets up the initial room configuration. 
    /// </summary>
    public interface IEnvironment
    {
        BufferServer Server { get; }
        ITracker Tracker { get; }
        ServerWorld World { get; }
        CursorDB CursorDB { get;  }
    }
}
